/// <reference types="react-reconciler" />
import * as React from 'react';
import { RenderProps } from 'react-three-fiber/src/web';
import { ReactThreeTestRendererTree } from './helpers/tree';
import { ReactThreeTestRendererSceneGraph } from './helpers/graph';
import { MockScene } from './createMockStore';
import { CreateCanvasParameters } from './createTestCanvas';
export declare type ReactThreeTestRendererOptions = CreateCanvasParameters & RenderProps;
export declare type ThreeTestRenderer = {
    scene: MockScene;
    unmount: <TRootNode>(id: TRootNode) => void;
    update: (el: React.ReactNode) => void;
    toTree: () => ReactThreeTestRendererTree | undefined;
    toGraph: () => ReactThreeTestRendererSceneGraph | undefined;
};
declare const ReactThreeTestRenderer: {
    create: (element: React.ReactNode, options?: ReactThreeTestRendererOptions | undefined) => ThreeTestRenderer;
    act: (callback: () => import("react-reconciler").Thenable<unknown>) => import("react-reconciler").Thenable<void>;
};
export default ReactThreeTestRenderer;
